import { request } from '@umijs/max';

export async function operatorPage(body) {
    return request('/admin/operator/page', {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json;charset=UTF-8',
        },
        data: body || {},
    });
}

export async function findOperatorDevicePage(body) {
    return request('/admin/operator/findOperatorDevicePage', {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json;charset=UTF-8',
        },
        data: body || {},
    });
}



export async function deleteBatchByIds(body) {
    return request('/admin/operator/deleteBatchByIds', {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json;charset=UTF-8',
        },
        data: body || {},
    });
}

export async function operatorAdd(body) {
    return request('/admin/operator/add', {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json;charset=UTF-8',
        },
        data: body || {},
    });
}

export async function operatorUpdate(body) {
    return request('/admin/operator/update', {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json;charset=UTF-8',
        },
        data: body || {},
    });
}


export async function changeStatus(params) {
    return request('/admin/operator/changeStatus', {
        method: 'GET',
        headers: {
            'Content-Type': 'application/json;charset=UTF-8',
        },
        params
    });
}
